{% extends 'base.html' %}
{% load staticfiles %}

{% block content %}

<div class="container-fluid">
  <div class="container container-rescatados-style">
    <h3 style="color: rgb(201, 204, 32);">Listas de Tiendas</h3>
      <div class="form-group">
          <a class="btn float-right login_btn" style="color: white;background: black;" href="{% url 'tienda_crear' %}">Crear Tienda</a>
      </div>
      <br/>
      <br/>
      <br/>
    <div class="row row-rescatados-title">
      {% if user.is_superuser %}
      <div class="col-md-1 col-rescatados-style">
        Activar
      </div>      
      {% endif %}
      <div class="col-md-1 col-rescatados-style">
        Nombre Tienda
      </div>
      <div class="col-md-2 col-rescatados-style">
        Nombre Sucursal
      </div>
      <div class="col-md-1 col-rescatados-style">
        Estado
      </div>

      <div class="col-md-2 col-rescatados-style">
        Dirección
      </div>

      <div class="col-md-3 col-rescatados-style">
        Región
      </div>

      <div class="col-md-1 col-rescatados-style">
        Comuna
      </div>
      
      {% if user.is_superuser %}
      <div class="col-md-1 col-rescatados-style">
          Eliminar
        </div>
        {% endif %}
    </div>
    {% if tienda %}
    <ul>
      {% for r in tienda %}
      <div class="row row-rescatados-style">
        {% if user.is_superuser %}
        <div class="col-md-1 col-rescatados-style">
          {% ifnotequal r.estados "Disponible" %}
          <a href="{% url 'tienda_ok' id=r.id %}">Aceptar</a>
          {% endifnotequal %}
        </div>
        {% endif %}
        <div class="col-md-1 col-rescatados-style">
          {{r.nombre_tienda}}
        </div>
        <div class="col-md-2 col-rescatados-style">
          {{r.nombre_sucursal}}
        </div>
        <div class="col-md-1 col-rescatados-style">
          {{r.estados}}
        </div>
        <div class="col-md-2 col-rescatados-style rescatados-description">
          {{r.direccion}}
        </div>
        <div class="col-md-3 col-rescatados-style">
          {{r.regiones}}
        </div>
        <div class="col-md-1 col-rescatados-style">
          {{r.comunas}}
        </div>
        {% if user.is_superuser %}
        <div class="col-md-1 col-rescatados-style">
          <a href="{% url 'tienda_eliminar' id=r.id %}">Eliminar</a>
        </div>
        {% endif %}

      </div>
      {% endfor %}

    </ul>
    {% else %}
    <p>No hay tiendas</p>
    {% endif %}
  </div>
  {% endblock %}